FreeMat

- Main Page
- Related Pages

vtkScalarsToColorsPainter

Section: Visualization Toolkit Rendering Classes

# Usage

This is a painter that converts scalars to colors. It enable/disables coloring state depending on the ScalarMode. This painter is composite dataset enabled.

To create an instance of class vtkScalarsToColorsPainter, simply invoke its constructor as follows

      obj = vtkScalarsToColorsPainter

# Methods

The class vtkScalarsToColorsPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkScalarsToColorsPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkScalarsToColorsPainter = obj.NewInstance ()`
- `vtkScalarsToColorsPainter = obj.SafeDownCast (vtkObject o)`
- `obj.SetLookupTable (vtkScalarsToColors lut)` - Specify a lookup table for the mapper to use.
- `vtkScalarsToColors = obj.GetLookupTable ()` - Specify a lookup table for the mapper to use.
- `obj.CreateDefaultLookupTable ()` - Create default lookup table. Generally used to create one when none is available with the scalar data.
- `int = obj.GetPremultiplyColorsWithAlpha (vtkActor actor)` - For alpha blending, we sometime premultiply the colors with alpha and change the alpha blending function. This call returns whether we are premultiplying or using the default blending function. Currently this checks if the actor has a texture, if not it returns true. TODO: It is possible to make this decision dependent on key passed down from a painter upstream that makes a more informed decision for alpha blending depending on extensions available, for example.
- `vtkDataObject = obj.GetOutput ()` - Subclasses need to override this to return the output of the pipeline.